# Interface MeasureOptions

interface MeasureOptions {
continueMsg: Element;
decimals: number;
precision: number;
sketchStyle: StyleLike;
source: VectorSource<unknown>;
startMsg: Element;
style: StyleLike;
tolerance: number;
}

- Defined in src/interaction/Measure.js:39

#####
Index

### Properties

continueMsg
decimals
precision
sketchStyle
source
startMsg
style
tolerance

## Properties

### continueMsg

continueMsg: Element

Element including the message to display in the help tooltip when the user already added the first point.

- Defined in src/interaction/Measure.js:42

### decimals

decimals: number

Defines the number of decimals to keep in the measurement. If not defined, then the default behavior occurs depending on the measure type.

- Defined in src/interaction/Measure.js:46

### precision

precision: number

Defines the number of digits to keep in the measurement. If not defined, then the default behavior occurs depending on the measure type.

- Defined in src/interaction/Measure.js:44

### sketchStyle

sketchStyle: StyleLike

The style to be used while drawing.

- Defined in src/interaction/Measure.js:51

### source

source: VectorSource<unknown>

The source.

- Defined in src/interaction/Measure.js:53

### startMsg

startMsg: Element

Element including the message to display in the help tooltip when the user just activated the interaction.

- Defined in src/interaction/Measure.js:40

### style

style: StyleLike

The style to be used when drawing is finished.

- Defined in src/interaction/Measure.js:49

### tolerance

tolerance: number

Defines the tolerance.

- Defined in src/interaction/Measure.js:48

Generated using TypeDoc